import type { ComponentClass, FunctionComponent } from "react";
import type { SvelteComponentTyped } from "svelte/internal";
import type ReactDOMServer from "react-dom/server";
import type { ConstructorOf } from "./internal/types";
import { type BridgeProps } from "./internal/Bridge.js";
declare type Sveltified<P> = ConstructorOf<SvelteComponentTyped<Omit<P, "children">>>;
/**
 * Convert a React component into a Svelte component.
 */
export default function sveltify<P>(reactComponent: FunctionComponent<P> | ComponentClass<P>, createPortal: BridgeProps["createPortal"], ReactDOMClient: any, renderToString?: typeof ReactDOMServer.renderToString): Sveltified<P>;
export {};
